# generator-frontend-webpack [![NPM version][npm-image]][npm-url] [![Dependency Status][daviddm-image]][daviddm-url]
> A minimal generator for using webpack in a front-end environment.

## Description

This is a minimal generator which scaffolds a front-end project featuring:
- Webpack
- Development server with hot code reload
- ES6 support
- ESLint
- [Tern.js](http://ternjs.net/) configuration
- Tape
- Optional React

## Installation

First, install [Yeoman](http://yeoman.io) and generator-frontend-webpack using [npm](https://www.npmjs.com/) (we assume you have pre-installed [node.js](https://nodejs.org/)).

```bash
npm install -g yo
npm install -g generator-frontend-webpack
```

Then generate your new project:

```bash
yo frontend-webpack
```

I suggest you to install a **Tern.js** plugin in your text editor for static code-analysis.

## Usage

Run the hot code reloading server:
```bash
npm start
```
It will open a browser page.

### Testing

```bash
npm test
```
Will run the [Tape](https://www.npmjs.com/package/tape) tests found 

## Coming in the future

- A real React project structure.
- Angular 1 & 2 scaffolding.
- Multiple testing libraries selection

## Getting To Know Yeoman

 * Yeoman has a heart of gold.
 * Yeoman is a person with feelings and opinions, but is very easy to work with.
 * Yeoman can be too opinionated at times but is easily convinced not to be.
 * Feel free to [learn more about Yeoman](http://yeoman.io/).

## License

MIT © [Alberto Nicoletti](http://illbe.xyz)


[npm-image]: https://badge.fury.io/js/generator-frontend-webpack.svg
[npm-url]: https://npmjs.org/package/generator-frontend-webpack
[daviddm-image]: https://david-dm.org/illbexyz/generator-frontend-webpack.svg?theme=shields.io
[daviddm-url]: https://david-dm.org/illbexyz/generator-frontend-webpack
